attribute vec4 gl_Vertex;
attribute vec3 gl_Normal;


uniform mat4 gl_ModelViewProjectionMatrix;
uniform mat4 gl_ModelViewMatrix;
uniform mat3 gl_NormalMatrix;

varying vec3 position;
varying vec3 normal;

void main(void)
{
    normal = normalize(gl_NormalMatrix * gl_Normal);
    position = vec3(gl_ModelViewMatrix *gl_Vertex);

    gl_Position = gl_ModelViewProjectionMatrix * gl_Vertex;
}

